@font-face {
	font-family: 'Charter';
	src: url('/National_Library/20160526010038oe_/https://qali.net/charter_regular.woff') format('woff'),
		url('/National_Library/20160526010038oe_/https://qali.net/charter_bold.woff') format('woff'),
		url('/National_Library/20160526010038oe_/https://qali.net/charter_italic.woff') format('woff'),
		url('/National_Library/20160526010038oe_/https://qali.net/charter_bold_italic.woff') format('woff');
	font-display: fallback;
}

body {
	max-width: 100ch;
	margin: 0 auto;
	padding: 0 1em;
	font-family: "Charter";
	background: #fffbeb;
	line-height: 1.5;
	font-size: 1.25em;
	text-decoration-skip-ink: none;
}

h1,
nav {
	border-color: #333;
}

h1 {
	border-bottom-width: 4px;
	border-bottom-style: solid;
}

nav {
	border-top-width: 4px;
	border-top-style: solid;
	clear: both;
}

hr {
	clear: both;
}

nav ol {
	padding-left: 0;
}

nav ol li {
	display: inline;
	margin: 0;
}

nav ol li:after {
	content: "/";
	margin: 0 1ch;
	font-weight: bold;
	opacity: 0.5;
}

nav ol li:last-child:after {
	display: none;
}

article>time {
	display: block;
	text-align: right;
}

aside {
	font-style: italic;
	float: right;
	max-width: 25ch;
	font-size: 0.9em;
	text-align: left;
	padding: 0 1em;
}

@media(max-width: 600px) {
	aside {
		float: none;
		max-width: fit-content;
	}
}

pre {
	background: #282828;
	color: #d8d8d8;
	padding: 2em;
	clear: both;
	border-radius: 3px;
	overflow-x: scroll;
	font-size: 0.75em;
}

a {
	color: #005;
}

a:active {
	color: #777;
}

a:hover {
	color: #0366d6;
}

a:visited {
	color: #444;
}

#posts {
	list-style-type: none;
	padding-left: 0;
}

#posts li {
	padding: 1em 0;
}

#posts li:first-child {
	padding-top: 0;
}

#posts li:last-child {
	border-bottom: none;
	padding-bottom: 0;
}

#posts li>div>*:first-child {
	margin-top: 0.5em;
}

#posts li a {
	display: block;
}

#posts time {
	font-size: 0.8em;
	display: block;
	color: #555;
}

blockquote {
	margin: 0 2em;
	font-size: 0.9em;
	line-height: 1.25;
	color: #333;
}

article img {
	display: block;
	max-width: 100%;
	border-radius: 3px;
}

figure {
	margin: 1em 0;
}

figcaption {
	color: #444;
	text-align: center;
	font-style: italic;
}

figcaption p {
	margin: 0.5em 0;
}

/* yt embeds */
.yt-container {
	position: relative;
	width: 100%;
	height: 0;
	padding-bottom: 56.25%;
	/* 16:9 */
}

.yt {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}